{"title":"Create salesOrderLines (v1.0)","url":"https://jonas-paprotka.de/docs/dev-itpro/api-reference/v1.0/api/dynamics_create_salesorderline/","by":"JOP-AL","license":"Copyright (c) Microsoft Corporation. CC BY 4.0, https://creativecommons.org/licenses/by/4.0/; code samples MIT. From https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v1.0/api/dynamics_create_salesorderline, MicrosoftDocs/dynamics365smb-devitpro-pb at 828b6ee (2026-11-19). Changed: includes filled in, links to this site, and for agents shortened without dropping a fact.","credit":"Microsoft Corporation, CC BY 4.0","origin":"https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v1.0/api/dynamics_create_salesorderline","source":{"name":"Business Central developer and IT pro docs","repo":"https://github.com/MicrosoftDocs/dynamics365smb-devitpro-pb","commit":"828b6ee72fcd75755627cd6011f3d20899217ab2","date":"2026-11-19"},"checked":"2026-11-19","description":"(v1.0) Creates a sales order line object in Dynamics 365 Business Central.","date":"2024-05-01","meta":{"topic":"reference"},"outline":[{"level":1,"title":"Create salesOrderLines (v1.0)","slug":"create-salesorderlines-v10","at":0,"chars":1242},{"level":2,"title":"HTTP request (v1.0)","slug":"http-request-v10","at":86,"chars":234},{"level":2,"title":"Request headers (v1.0)","slug":"request-headers-v10","at":320,"chars":109},{"level":2,"title":"Request body (v1.0)","slug":"request-body-v10","at":429,"chars":102},{"level":2,"title":"Response (v1.0)","slug":"response-v10","at":531,"chars":137},{"level":2,"title":"Example (v1.0)","slug":"example-v10","at":668,"chars":259},{"level":2,"title":"Related information","slug":"related-information","at":927,"chars":315}],"text":"# Create salesOrderLines (v1.0)\nCreate a sales order line object in Business Central.\n## HTTP request (v1.0)\nReplace the URL prefix for Business Central depending on environment following the guideline<../endpoints-apis-for-dynamics>.\n```\nPOST businesscentralPrefix/companies({id})/salesOrders({id})/salesOrderLines\n```\n## Request headers (v1.0)\nHeader|Value\nAuthorization|Bearer {token}. Required.\nContent-Type|application/json\n## Request body (v1.0)\nIn the request body, supply a JSON representation of a salesOrderLines object.\n## Response (v1.0)\nIf successful, this method returns ```201 Created``` response code and a salesOrderLines object in the response body.\n## Example (v1.0)\nRequest\nHere is an example of a request.\n```json\nPOST https://{businesscentralPrefix}/api/v1.0/companies({id})/salesOrders({id})/salesOrderLines\nContent-type: application/json\n\n{\n\"itemId\": \"id-value\",\n\"lineType\": \"Item\",\n\"quantity\": 9\n}\n```\n## Related information\nTips for working with the APIs<../../../developer/devenv-connect-apps-tips>\nSales Order Line<../resources/dynamics_salesorderline>\nGet Sales Order Line<dynamics_salesorderline_get>\nUpdate Sales Order Line<dynamics_salesorderline_update>\nDelete Sales Order Line<dynamics_salesorderline_delete>"}